ClientMembershipListenerAdapter (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.membership, class: ClientMembershipListenerAdapter

Package org.apache.geode.management.membership

# Class ClientMembershipListenerAdapter

java.lang.Object
org.apache.geode.management.membership.ClientMembershipListenerAdapter

All Implemented Interfaces:
  `ClientMembershipListener`

public abstract class ClientMembershipListenerAdapter extends Object implements ClientMembershipListener
Utility class that implements all methods in `ClientMembershipListener` with empty implementations. Applications can subclass this class and only override the methods for the events of interest.

Since:
  GemFire 8.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientMembershipListenerAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `memberCrashed(ClientMembershipEvent event)`
  Invoked when a client has unexpectedly disconnected from this process or when this process has unexpectedly disconnected from a CacheServer.
  `void`
  `memberJoined(ClientMembershipEvent event)`
  Invoked when a client has connected to this process or when this process has connected to a CacheServer.
  `void`
  `memberLeft(ClientMembershipEvent event)`
  Invoked when a client has gracefully disconnected from this process or when this process has gracefully disconnected from a CacheServer.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClientMembershipListenerAdapter

    public ClientMembershipListenerAdapter()

- ## Method Details

  - ### memberJoined

    public void memberJoined(ClientMembershipEvent event)
    Invoked when a client has connected to this process or when this process has connected to a CacheServer.
    Specified by:
      `memberJoined` in interface `ClientMembershipListener`
    Parameters:
      `event` - the triggering event

  - ### memberLeft

    public void memberLeft(ClientMembershipEvent event)
    Invoked when a client has gracefully disconnected from this process or when this process has gracefully disconnected from a CacheServer.
    Specified by:
      `memberLeft` in interface `ClientMembershipListener`
    Parameters:
      `event` - the triggering event

  - ### memberCrashed

    public void memberCrashed(ClientMembershipEvent event)
    Invoked when a client has unexpectedly disconnected from this process or when this process has unexpectedly disconnected from a CacheServer.
    Specified by:
      `memberCrashed` in interface `ClientMembershipListener`
    Parameters:
      `event` - the triggering event